%define module_name Config-FileManager
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/HomeDir.pm) perl(POSIX.pm) perl(Pod/Usage.pm) perl(Text/Diff.pm) perl(Text/Patch.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.7
Release: alt1
Summary: Configuration File Management with versionning
Group: Development/Perl
License: open_source
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DO/DOCCY/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
The *Config::FileManager* module:

=over

=item check wether the user configuration file version is up-to-date

=item can propose update taking into account user modifications

=item keep (and ca restore) the previous versions of the configuration file

=item search the configuration file in an ordered list of paths

=back


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes ignore.txt TODO LICENSE
%perl_vendor_privlib/C*

%changelog
* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1
- regenerated from template by package builder

* Tue Apr 15 2014 Igor Vlasenko <viy@altlinux.ru> 1.6-alt1
- regenerated from template by package builder

* Tue Sep 03 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1
- initial import by package builder

